<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns='http://www.w3.org/2002/12/cal/ical#'
	xmlns:i='http://www.w3.org/2002/12/cal/ical#'
	xmlns:x='http://www.w3.org/2002/12/cal/prod/Apple_Comp_273def595c8b3485#'
	xmlns:rss="http://purl.org/rss/1.0/"
	xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
	xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
	xmlns:contact="http://www.w3.org/2000/10/swap/pim/contact#"
	xmlns:foaf="http://xmlns.com/foaf/0.1/"
	xmlns:dc ="http://purl.org/dc/elements/1.1/"
	xmlns:dcterms="http://purl.org/dc/terms/"
	xmlns:trackback="http://madskills.com/public/xml/rss/module/trackback/"
	xmlns:date="http://exslt.org/dates-and-times"
	xmlns:hiroki="http://onohiroki.cycling.jp/ns/tool/"
	extension-element-prefixes="date i hiroki"
>

<xsl:output 
	method="xml"
	encoding="utf-8"
	indent="yes"
/> 

<xsl:variable name="now" select="date:date-time()"/>
<xsl:variable name="now1" select="'2005-04-01T00:00:00+09:00'"/>


<xsl:template match="/">
	<xsl:apply-templates />
</xsl:template>


<xsl:template match="*/i:component">
	<xsl:choose>
		<xsl:when test="i:Vevent/hiroki:recurrence">
			<xsl:comment><xsl:value-of select="i:Vevent/i:summary"/><xsl:value-of select="i:Vevent/i:dtstart/i:date|i:Vevent/i:dtstart/i:dateTime"/>日程変更済み</xsl:comment>
		</xsl:when>
		<xsl:otherwise>
			<component>
				<xsl:apply-templates />
			</component>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="@*|node()">
  <xsl:copy>
    <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
</xsl:template>



</xsl:stylesheet> 