<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:rss="http://purl.org/rss/1.0/"
	xmlns:i='http://www.w3.org/2002/12/cal/ical#'
	xmlns:x='http://www.w3.org/2002/12/cal/prod/Apple_Comp_273def595c8b3485#'
	xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
	xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
	xmlns:contact="http://www.w3.org/2000/10/swap/pim/contact#"
	xmlns:content="http://purl.org/rss/1.0/modules/content/"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	xmlns:foaf="http://xmlns.com/foaf/0.1/"
	xmlns:dc ="http://purl.org/dc/elements/1.1/"
	xmlns:dcterms="http://purl.org/dc/terms/"
	xmlns:trackback="http://madskills.com/public/xml/rss/module/trackback/"
	xmlns:date="http://exslt.org/dates-and-times"
	extension-element-prefixes="date rss"
>

<xsl:output 
	method="text"
	encoding="utf-8"
	indent="yes"
/> 
<xsl:variable name="day" select="date:date-time()"/>
<xsl:variable name="filename01" select="substring($day,1,7)"/>
<xsl:variable name="filename02" select="substring(date:add($day,'P1M'),1,7)"/>
<xsl:variable name="filename03" select="substring(date:add($day,'P2M'),1,7)"/>
<xsl:variable name="filename04" select="substring(date:add($day,'P3M'),1,7)"/>
<xsl:variable name="filename05" select="substring(date:add($day,'P4M'),1,7)"/>
<xsl:variable name="filename06" select="substring(date:add($day,'P5M'),1,7)"/>
<xsl:variable name="filename07" select="substring(date:add($day,'P6M'),1,7)"/>
<xsl:variable name="filename08" select="substring(date:add($day,'P7M'),1,7)"/>
<xsl:variable name="filename09" select="substring(date:add($day,'P8M'),1,7)"/>
<xsl:variable name="filename10" select="substring(date:add($day,'P9M'),1,7)"/>
<xsl:variable name="filename11" select="substring(date:add($day,'P10M'),1,7)"/>
<xsl:variable name="filename12" select="substring(date:add($day,'P11M'),1,7)"/>

<xsl:template match="/">
xsltproc rical2htmln01.xsl current-cycling-event-cal.rdf > cal<xsl:value-of select="$filename01"/>.html
xsltproc rical2htmln02.xsl current-cycling-event-cal.rdf > cal<xsl:value-of select="$filename02"/>.html
xsltproc rical2htmln03.xsl current-cycling-event-cal.rdf > cal<xsl:value-of select="$filename03"/>.html
xsltproc rical2htmln04.xsl current-cycling-event-cal.rdf > cal<xsl:value-of select="$filename04"/>.html
xsltproc rical2htmln05.xsl current-cycling-event-cal.rdf > cal<xsl:value-of select="$filename05"/>.html
xsltproc rical2htmln06.xsl current-cycling-event-cal.rdf > cal<xsl:value-of select="$filename06"/>.html
xsltproc rical2htmln07.xsl current-cycling-event-cal.rdf > cal<xsl:value-of select="$filename07"/>.html
xsltproc rical2htmln08.xsl current-cycling-event-cal.rdf > cal<xsl:value-of select="$filename08"/>.html
xsltproc rical2htmln09.xsl current-cycling-event-cal.rdf > cal<xsl:value-of select="$filename09"/>.html
xsltproc rical2htmln10.xsl current-cycling-event-cal.rdf > cal<xsl:value-of select="$filename10"/>.html
xsltproc rical2htmln11.xsl current-cycling-event-cal.rdf > cal<xsl:value-of select="$filename11"/>.html
xsltproc rical2htmln12.xsl current-cycling-event-cal.rdf > cal<xsl:value-of select="$filename12"/>.html
</xsl:template>

<xsl:template match="xalan">
xalan current-cycling-event-cal.rdf rical2htmln01.xsl cal<xsl:value-of select="$filename01"/>.html
xalan current-cycling-event-cal.rdf rical2htmln02.xsl cal<xsl:value-of select="$filename02"/>.html
xalan current-cycling-event-cal.rdf rical2htmln03.xsl cal<xsl:value-of select="$filename03"/>.html
</xsl:template>


</xsl:stylesheet> 