<?xml version="1.0" encoding="utf-8"?>
<!-- ONO Hiroki http://onohiroki.cycling.jp/xsl/rss2javascript.xsl -->
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:rss="http://purl.org/rss/1.0/"
	xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
	xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
	xmlns:contact="http://www.w3.org/2000/10/swap/pim/contact#"
	xmlns:foaf="http://xmlns.com/foaf/0.1/"
	xmlns:dc ="http://purl.org/dc/elements/1.1/"
	xmlns:dcterms="http://purl.org/dc/terms/"
	xmlns:trackback="http://madskills.com/public/xml/rss/module/trackback/"
	xmlns:date="http://exslt.org/dates-and-times"
	xmlns:i='http://www.w3.org/2002/12/cal/ical#'
	xmlns:x='http://www.w3.org/2002/12/cal/prod/Apple_Comp_273def595c8b3485#'
	extension-element-prefixes="i x date rss rdf rdfs contact foaf dc dcterms trackback"
>
<xsl:output 
	method="html"
	encoding="utf-8"
	indent="no"
/> 

<xsl:variable name="now" select="date:date-time()"/>

<xsl:template match="rdf:RDF">
<![CDATA[document.write(']]><ul class="rsslist"><li class="rsstitle"><a><xsl:attribute name="href"><xsl:value-of select="rss:channel/rss:link"/></xsl:attribute>自転車関係イベント</a><ul class="rssitems"><xsl:apply-templates select="rss:item"><xsl:sort select="@rdf:about" data-type="text"/></xsl:apply-templates></ul></li></ul><![CDATA[')]]>
</xsl:template>

<xsl:template match="rss:item">
<xsl:if test="contains(string(@rdf:about), substring($now,1,7)) or contains(string(@rdf:about), substring(date:add($now,'P1M'),1,7))"><li class="rssitem"><a><xsl:attribute name="href"><xsl:value-of select="rss:link"/></xsl:attribute><xsl:value-of select="date:month-in-year(foaf:topic/i:Vevent/i:dtstart/i:date|foaf:topic/i:Vevent/i:dtstart/i:dateTime)"/>/<xsl:value-of select="date:day-in-month(foaf:topic/i:Vevent/i:dtstart/i:date|foaf:topic/i:Vevent/i:dtstart/i:dateTime)"/><xsl:text> </xsl:text><xsl:value-of select="foaf:topic/i:Vevent/i:summary"/></a></li></xsl:if>
</xsl:template>

</xsl:stylesheet>
 